{% extends 'base.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}

{% block body %}
    <div class="col-12 offset-0">
        {{ apy_breadcrumb_trail_render(breadcrumb) }}
    </div>

    <div class="col-12 offset-0 mt-3">
        <h1>
            Modification du formulaire
        </h1>

        <div class="mt-4">
            {{ macro.backButton('app_formulaire_index') }}
        </div>

        <div class="row mt-4">
            <div class="col-12 offset-0 form-white">
                {{ form_start(form) }}

                <ul class="nav nav-tabs" id="myTab" role="tablist">
                    <li class="nav-item" role="the_formulaire">
                        <button class="nav-link active" id="the_formulaire-tab" data-bs-toggle="tab" data-bs-target="#the_formulaire" type="button" role="tab" aria-controls="the_formulaire" aria-selected="true">
                            <i class="fa fa-pencil-alt fa-fw"></i>
                            Le formulaire
                        </button>
                    </li>
                    <li class="nav-item" role="rt_externe">
                        <button class="nav-link" id="rt_externe-tab" data-bs-toggle="tab" data-bs-target="#rt_externe" type="button" role="tab" aria-controls="rt_externe" aria-selected="true">
                            <i class="fa fa-pencil-alt fa-fw"></i>
                            Responsable du traitement
                        </button>
                    </li>
                    <li class="nav-item" role="aipd">
                        <button class="nav-link" id="aipd-tab" data-bs-toggle="tab" data-bs-target="#aipd" type="button" role="tab" aria-controls="aipd" aria-selected="true">
                            <i class="fa fa-pencil-alt fa-fw"></i>
                            AIPD
                        </button>
                    </li>
                    <li class="nav-item" role="generales">
                        <button class="nav-link" id="generales-tab" data-bs-toggle="tab" data-bs-target="#generales" type="button" role="tab" aria-controls="generales" aria-selected="true">
                            <i class="fa fa-eye fa-fw"></i>
                            Informations générales
                        </button>
                    </li>
                    <li class="nav-item" role="info_complementaire">
                        <button class="nav-link" id="info_complementaire-tab" data-bs-toggle="tab" data-bs-target="#info_complementaire" type="button" role="tab" aria-controls="info_complementaire" aria-selected="false">
                            <i class="fa fa-pencil-alt fa-fw"></i>
                            Informations complémentaires
                        </button>
                    </li>
                    <li class="nav-item" role="formulaire">
                        <button class="nav-link" id="formulaire-tab" data-bs-toggle="tab" data-bs-target="#formulaire" type="button" role="tab" aria-controls="formulaire" aria-selected="true">
                            <i class="fa fa-pencil-alt fa-fw"></i>
                            Formulaire
                        </button>
                    </li>
                    <li class="nav-item" role="coresponsable">
                        <button class="nav-link" id="coresponsable-tab" data-bs-toggle="tab" data-bs-target="#coresponsable" type="button" role="tab" aria-controls="coresponsable" aria-selected="true">
                            <i class="fa fa-pencil-alt fa-fw"></i>
                            Co-responsable
                        </button>
                    </li>
                    <li class="nav-item" role="soustraitant">
                        <button class="nav-link" id="soustraitant-tab" data-bs-toggle="tab" data-bs-target="#soustraitant" type="button" role="tab" aria-controls="soustraitant" aria-selected="true">
                            <i class="fa fa-pencil-alt fa-fw"></i>
                            Sous-traitance(s)
                        </button>
                    </li>
                    <li class="nav-item" role="annexe">
                        <button class="nav-link" id="annexe-tab" data-bs-toggle="tab" data-bs-target="#annexe" type="button" role="tab" aria-controls="annexe" aria-selected="true">
                            <i class="fa fa-pencil-alt fa-fw"></i>
                            Annexe(s)
                        </button>
                    </li>
                </ul>
                <div class="tab-content">
                    <div class="tab-pane fade show active" id="the_formulaire" role="tabpanel" aria-labelledby="home-tab">
                        {{ include('formulaire/tabs/the_formulaire.html.twig') }}
                    </div>

                    <div class="tab-pane fade" id="rt_externe" role="tabpanel" aria-labelledby="rt_externe-tab">
                        {{ include('formulaire/tabs/rt_externe.html.twig') }}
                    </div>

                    <div class="tab-pane fade" id="aipd" role="tabpanel" aria-labelledby="aipd-tab">
                        {{ include('formulaire/tabs/aipd.html.twig') }}
                    </div>

                    <div class="tab-pane fade" id="generales" role="tabpanel" aria-labelledby="generales-tab">
                        {{ include('formulaire/tabs/general_informations.html.twig') }}
                    </div>

                    <div class="tab-pane fade" id="info_complementaire" role="tabpanel" aria-labelledby="info_complementaire-tab">
                        {{ include('formulaire/tabs/complementary_informations.html.twig') }}
                    </div>

                    <div class="tab-pane fade" id="formulaire" role="tabpanel" aria-labelledby="formulaire-tab">
                    </div>

                    <div class="tab-pane fade" id="coresponsable" role="tabpanel" aria-labelledby="coresponsable-tab">
                    </div>

                    <div class="tab-pane fade" id="soustraitant" role="tabpanel" aria-labelledby="soustraitant-tab">
                    </div>

                    <div class="tab-pane fade" id="annexe" role="tabpanel" aria-labelledby="annexe-tab">
                        {{ include('formulaire/tabs/appendices.html.twig') }}
                    </div>
                </div>

                <div class="float-right">
                    {{ macro.save('app_formulaire_index') }}
                </div>

                {{ form_end(form) }}
            </div>
        </div>
    </div>
{% endblock %}